<template>
	<main class="mt-36">
		<h2 class="contents-title">Table</h2>
		<div v-html="table"></div>
		<Code :codeText="table" />
		<hr />
		<h2 class="contents-title">Data Table</h2>
		<div>
			<div class="flex f-space-between">
				<div class="flex">
					<div class="flex v-center f-space-between">
						<div class="mr-4">Show</div>
						<select class="form-input" name="dropdown">
							<option value="10">10</option>
							<option value="25">25</option>
							<option value="50">50</option>
							<option value="100">100</option>
						</select>
						<div class="ml-4">entries</div>
					</div>
				</div>
				<div class="flex v-center">
					<div class="form-label mr-8">Search:</div>
					<div>
						<input class="form-input" type="text" name="text" />
					</div>
				</div>
			</div>
		</div>
		<div class="table-wrapper mt-8">
			<table class="table">
				<thead>
					<tr>
						<th>ID <span class="bzi-caret-down"></span></th>
						<th>First Name <span class="bzi-caret-down"></span></th>
						<th>Last Name <span class="bzi-caret-down"></span></th>
					</tr>
				</thead>
				<tbody>
					<tr v-for="(data, index) in datas" :key="index">
						<td>{{ data.id }}</td>
						<td>{{ data.firstName }}</td>
						<td>{{ data.lastName }}</td>
					</tr>
				</tbody>
			</table>
		</div>
		<div>
			<div class="flex f-space-between v-center">
				<div class="flex">
					Showing 0 to 0 of 0 entries (filtered from NaN total entries)
				</div>
				<ol class="pagination pagination-style">
					<li>
						<a href="#"><i class="bzi-angle-left"></i></a>
					</li>
					<li><a class="is-active" href="#">1</a></li>
					<li><a href="#">2</a></li>
					<li><a href="#">3</a></li>
					<li><a href="#">4</a></li>
					<li>
						<a href="#"><i class="bzi-angle-right"></i></a>
					</li>
				</ol>
			</div>
		</div>
		<Code :codeText="dataTable" />
		<ContentFooter />
	</main>
</template>

<script>
const tableData = [
	{
		id: 1,
		firstName: 'George',
		lastName: 'Bluth'
	},
	{
		id: 2,
		firstName: 'Janet',
		lastName: 'Weaver'
	},
	{
		id: 3,
		firstName: 'Emma',
		lastName: 'Wong'
	},
	{
		id: 4,
		firstName: 'Eve',
		lastName: 'Holt'
	},
	{
		id: 5,
		firstName: 'Charles',
		lastName: 'Morris'
	},
	{
		id: 6,
		firstName: 'Tracey',
		lastName: 'Ramos'
	},
	{
		id: 7,
		firstName: 'Michael',
		lastName: 'Lawson'
	},
	{
		id: 8,
		firstName: 'Lindsay',
		lastName: 'Ferguson'
	},
	{
		id: 9,
		firstName: 'Tobias',
		lastName: 'Funke'
	},
	{
		id: 10,
		firstName: 'Byron',
		lastName: 'Fields'
	},
	{
		id: 11,
		firstName: 'George',
		lastName: 'Edwards'
	},
	{
		id: 12,
		firstName: 'Rachel',
		lastName: 'Howell'
	}
]

export default {
	data() {
		return {
			datas: tableData,
			table: `<div class="table-wrapper">
    <table class="table">
        <thead>
            <tr>
                <th>Header 1</th>
                <th>Header 2</th>
                <th>Header 3</th>
                <th>Header 4</th>
                <th>Header 5</th>
                <th>Header 6</th>
                <th>Header 7</th>
                <th>Header 8</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>Row 2 Col 1</td>
                <td>Row 2 Col 2</td>
                <td>Row 2 Col 3</td>
                <td>Row 2 Col 4</td>
                <td>Row 2 Col 5</td>
                <td>Row 2 Col 6</td>
                <td>Row 2 Col 7</td>
                <td>Row 2 Col 8</td>
            </tr>
            <tr>
                <td>Row 3 Col 1</td>
                <td>Row 3 Col 2</td>
                <td>Row 3 Col 3</td>
                <td>Row 3 Col 4</td>
                <td>Row 3 Col 5</td>
                <td>Row 3 Col 6</td>
                <td>Row 3 Col 7</td>
                <td>Row 3 Col 8</td>
            </tr>
            <tr>
                <td>Change</td>
                <td>Window</td>
                <td>size</td>
                <td>to see</td>
                <td>Table</td>
                <td>Wrapper</td>
                <td>in</td>
                <td>action!</td>
            </tr>
        </tbody>
    </table>
</div>`,
			dataTable: `<table class="js-datatable mb-4" data-table="https://reqres.in/api/users?page=1&per_page=12">
    <thead>
        <tr>
            <th>ID</th>
            <th>First Name</th>
            <th>Last Name</th>
        </tr>
    </thead>
</table>`
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}

span {
	float: right;
}

.pagination-style {
	margin-top: auto;
	margin-bottom: auto;
}
</style>
